gnutls_x509_crl_get_number(3)

NAME
gnutls_x509_crl_get_number - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_get_number(gnutls_x509_crl_t crl, void * ret, size_t * ret_size, unsigned int * critical);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t type

void * ret
    The place where the number will be copied

size_t * ret_size
    Holds the size of the result field.

unsigned int * critical
    will be non-zero if the extension is marked as critical (may be null)

DESCRIPTION
This function will return the CRL number extension. This is obtained by the CRL Number extension field (2.5.29.20).

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code in case of an error.

SINCE
2.8.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/